{% extends 'base.html' %}

{% block title %} index{% endblock %}
{% block inputform %}
{% if not isSearch %}
<form action="/" method="POST">
<div class="mb-3">
  <label for="from" class="form-label">Name</label>
  <input type="text" class="form-control" name="name">
</div>
<div class="mb-3">
  <label for="from" class="form-label">Email address</label>
  <input type="email" class="form-control" name="email" placeholder="name@example.com">
</div>
<div class="mb-3">
  <label for="from" class="form-label">Phone Number</label>
  <input type="number" class="form-control" name="phone">
</div>
<input type="submit" class="btn btn btn-primary">
</form>
{% endif %}

{% if isSearch %}
<a class="btn btn btn-primary mt-2" href="/">back</a> 
{% endif %}
{% endblock %}
{% block table %} 
<table class="table-responsive-sm table mt-4">
    <thead class="thead-dark">
      <tr>
        <th scope="col">index</th>
        <th scope="col">Name</th>
        <th scope="col">Phone Number</th>
        <th scope="col">Email</th>
        <th scope="col">Action</th>
      </tr>
    </thead>
    <tbody>
        {% for details  in contact %}
        <tr>
            <th scope="row">{{loop.index}}</th>
            <td>{{details.name}}</td>
            <td>{{details.number}}</td>
            <td>{{details.email}}</td>
            <td>
              <button type="button" class="btn btn btn-warning" data-toggle="modal" data-target="#exampleModal">
                Delete
              </button>
                <a href="/update/{{details.id}}" class="btn btn btn-primary">Edit</a>
            </td>
          </tr> 
          <!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Confirmation</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        Do you Want to Delete ?
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <a href="/delete/{{details.id}}" class="btn btn btn-danger" >Delete</a> 
      </div>
    </div>
  </div>
</div>
        {% endfor %}
     
    </tbody>
  </table>



{% endblock %}
